Package org.bgerp.action.admin

# Class AppAction

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
org.bgerp.action.admin.AppAction

public class AppAction extends BaseAction

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Files`
  `LOG_ACCESS`
  `static final Files`
  `LOG_APP`
  `static final Files`
  `LOG_UPDATE`
  `static final Files`
  `UPDATE_ZIP`

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, log, MAPPER, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AppAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.struts.action.ActionForward`
  `deleteLogAccess(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `deleteLogApp(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `deleteLogUpdate(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `deleteUpdateZip(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `downloadLogAccess(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `downloadLogApp(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `downloadLogUpdate(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `downloadUpdateZip(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `highlightLogApp(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `highlightLogUpdate(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `maintenance(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `maintenanceCancel(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `maintenanceStart(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `restart(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `status(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `update(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `updateToChange(DynActionForm form, ConnectionSet conSet)`

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LOG_APP

    public static final Files LOG_APP

  - ### LOG_ACCESS

    public static final Files LOG_ACCESS

  - ### LOG_UPDATE

    public static final Files LOG_UPDATE

  - ### UPDATE_ZIP

    public static final Files UPDATE_ZIP

- ## Constructor Details

  - ### AppAction

    public AppAction()

- ## Method Details

  - ### status

    public org.apache.struts.action.ActionForward status(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### downloadLogApp

    public org.apache.struts.action.ActionForward downloadLogApp(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### highlightLogApp

    public org.apache.struts.action.ActionForward highlightLogApp(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### deleteLogApp

    public org.apache.struts.action.ActionForward deleteLogApp(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### downloadLogAccess

    public org.apache.struts.action.ActionForward downloadLogAccess(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### deleteLogAccess

    public org.apache.struts.action.ActionForward deleteLogAccess(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### downloadLogUpdate

    public org.apache.struts.action.ActionForward downloadLogUpdate(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### highlightLogUpdate

    public org.apache.struts.action.ActionForward highlightLogUpdate(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### deleteLogUpdate

    public org.apache.struts.action.ActionForward deleteLogUpdate(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### downloadUpdateZip

    public org.apache.struts.action.ActionForward downloadUpdateZip(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### deleteUpdateZip

    public org.apache.struts.action.ActionForward deleteUpdateZip(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### restart

    public org.apache.struts.action.ActionForward restart(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### update

    public org.apache.struts.action.ActionForward update(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### updateToChange

    public org.apache.struts.action.ActionForward updateToChange(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### maintenance

    public org.apache.struts.action.ActionForward maintenance(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### maintenanceStart

    public org.apache.struts.action.ActionForward maintenanceStart(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### maintenanceCancel

    public org.apache.struts.action.ActionForward maintenanceCancel(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`